Skip to main content

UsePromoCode

POST 

/account/:accountKey/promocode/:promoCode

Validates the code and returns visitor discount. By Default, additionally redeems the code. Accepts optionally cart details in json body or cartAmount querystring parameter for validation.

Request​

Path Parameters

    accountKey anyrequired
    promoCode anyrequired

Query Parameters

    redeem bool

    Possible values: [true, false]

    Default value: true

    redeems the code, default true

    cartAmount decimal

    cart amount to validate

    skipvalidation bool

    Possible values: [true, false]

    Default value: false

    just redeems the code, no validation, same as DELETE method (in case DELETE verb is not convenient)

Body

optional cart details

    any

Responses​

null

Loading...